summaryrefslogtreecommitdiffstats
path: root/abs/core/runit-scripts/runitscripts/services/frontend/run
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/runit-scripts/runitscripts/services/frontend/run')
-rwxr-xr-xabs/core/runit-scripts/runitscripts/services/frontend/run21
1 files changed, 21 insertions, 0 deletions
diff --git a/abs/core/runit-scripts/runitscripts/services/frontend/run b/abs/core/runit-scripts/runitscripts/services/frontend/run
new file mode 100755
index 0000000..c1e2f2d
--- /dev/null
+++ b/abs/core/runit-scripts/runitscripts/services/frontend/run
@@ -0,0 +1,21 @@
+#!/bin/sh
+export TERM=linux
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+exec 2>&1
+ grep -qi nox /proc/cmdline
+ STATUS=$?
+ if [ $STATUS = 0 ]
+ then
+ sv down frontend
+ exit 0
+ fi
+touch /var/log/fluxbox.log
+chown mythtv:mythtv /var/log/fluxbox.log
+
+stat_runit "Starting LinHES frontend"
+
+#echo "Starting LinHES frontend" >/dev/tty1
+exec /bin/su - mythtv -l -c /usr/LH/bin/LinHES-start
+